com.mapinfo.midev.language.filter

## Interface IFilter

All Known Implementing Classes:
  AttributeFilter, BetweenFilter, DistanceFilter, DistanceToEdgeFilter, EnvelopeFilter, GeometryFilter, InListFilter, IsNullFilter, KeyFilter, LikeFilter, LogicalFilter, NearestFilter

    public interface IFilter

Interface that identifies an object as a type of filter.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isSpatial()` Returns `true` if this `IFilter` is a spatial filter.

### Method Detail

#### isSpatial

    boolean isSpatial()

Returns `true` if this `IFilter` is a spatial filter.

Returns:
  `true` if this `IFilter` is a spatial filter.